Subject: Beatles tech songs
From: [email-masked] (GRAVY)

With apologies to John, Paul, George, Ringo, and perhaps Ogden Nash...
jb

[contributed by Ken Kohn]

   Write in C

 When I find my code in tons of trouble,
 Friends and colleagues come to me,
 Speaking words of wisdom:
 "Write in C."

 As the deadline fast approaches,
 And bugs are all that I can see,
 Somewhere, someone whispers:
 "Write in C."

 Write in C, Write in C,
 Write in C, oh, Write in C.
 LOGO's dead and buried,
 Write in C.

 I used to write a lot of FORTRAN,
 For science it worked flawlessly.
 Try using it for graphics!
 Write in C.

 If you've just spent nearly 30 hours,
 Debugging some assembly,
 Soon you will be glad to
 Write in C.

 Write in C, Write in C,
 Write in C, yeah, Write in C.
 BASIC's not the answer.
 Write in C.

 Write in C, Write in C
 Write in C, oh, Write in C.
 Pascal won't quite cut it.
 Write in C.
 =================================================

   Eleanor Rigby

 Eleanor Rigby
 Sits at the keyboard
 And waits for a line on the screen
 Lives in a dream
 Waits for a signal
 Finding some code
 That will make the machine do some more.
 What is it for?

 All the lonely users, where do they all come from?
 All the lonely users, why does it take so long?

 Guru MacKenzie
 Typing the lines of a program that no one will run;
 Isn't it fun?
 Look at him working,
 Drinking a coke as he waits for the code to compile;
 It takes a while...

 All the lonely users, where do they all come from?
 All the lonely users, why does it take so long?

 Eleanor Rigby
 Crashes the system and loses 6 hours of work;
 Feels like a jerk.
 Guru MacKenzie
 Wiping the crumbs off the keys as he types in the code;
 Nothing will load.

 All the lonely users, where do they all come from?
 All the lonely users, why does it take so long?

 =================================================

   Unix Man

 He's a real UNIX Man
 Sitting in his UNIX LAN
 Making all his UNIX .plans
 For nobody

 Knows the blocksize from du(1)
 Cares not where /dev/null goes to
 Isn't he a bit like you
 And me?

 UNIX Man, please listen(2)
 My lpd(8)is missin'
 UNIX Man
 The wo-o-o-orld is your at(1) command

 He's as wise as he can be
 Uses lex and yacc and C
 UNIX Man, can you help me
 At all?

 UNIX Man, don't worry
 Test with time(1), don't hurry
 UNIX Man
 The new kernel boots, just like you had planned

 He's a real UNIX Man
 Sitting in his UNIX LAN
 Making all his UNIX .plans
 For nobody
 Making all his UNIX .plans
 For nobody
 =================================================

   Something

 Something in the way it fails,
 Defies the algorithm's logic!
 Something in the way it coredumps...

 I don't want to leave it now
 I'll fix this problem somehow

 Somewhere in the memory I know,
 A pointer's got to be corrupted.
 Stepping in the debugger will show me...

 I don't want to leave it now
 I'm too close to leave it now

 You're asking me can this code go?
 I don't know, I don't know...
 What sequence causes it to blow?
 I don't know, I don't know...

 Something in the initializing code?
 And all I have to do is think of it!
 Something in the listing will show me...

 I don't want to leave it now
 I'll fix this tonight I vow!

.end.

-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
The GRAVY letter by James Bradley, now in beta.
-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
Beta subscriptions are free. Whenever Electronic Commerce
becomes an Easy To Use Reality GRAVY will go commercial.
Subsequent subscriptions will require the exchange of valuable
consideration in an amount too small for you to notice. Beta
testers will be handsomely rewarded when this transition happens.
-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
GRAVY will come to be supported by a web site and a list server.
One other letter will also be available from the site at launch,
the GOODNEWS letter of encouraging positive anecdotes,
edited by Zan Gaudioso. Other letters shall become
available in the wake of huge commercial success.
-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
CONTRIBUTIONS are welcome. Send via email to
[email-masked]. PLEASE DO NOT SEND COPYRIGHTED MATERIAL.
-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
FORWARDING by any non-automatic electronic means is authorized
and encouraged with this footer intact. Other rights are reserved,
to the extent we own them.
-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
To SUBSCRIBE to the GRAVY Letter, or to UNSUBSCRIBE, send email to
[email-masked], with SUBSCRIBE or UNSUBSCRIBE in the
SUBJECT line.
-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
James Bradley                Email: [email-masked]
123dotdot                    Tel: 213 953 0700
3603 Seneca Ave.             Fax: 213 953 0800
Los Angeles, CA  90039       &8-P
-*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*--*-
This footer is proof that text is deliverable to everyone right now.